Bug 1270983 - Overcloud deploy fails
Overcloud deploy fails
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: chris alfonso
yeylon@redhat.com
: Unconfirmed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 16:26 EDT by Jeremy
Modified: 2016-04-18 02:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 11:24:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy 2015-10-12 16:26:19 EDT
Description of problem:overcloud deploy fails: Error: Could not find class tripleo::packages for overcloud-controller-0.localdomain on node overcloud-controller-0.localdomain

Happens on compute and controller. Both fail deploy.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Run Deploy
2.
3.

Actual results:


Expected results:


Additional info:Deploy command
openstack overcloud deploy --templates -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml -e /home/stack/templates/network-environment.yaml --control-flavor control --compute-flavor compute --control-scale 1 --compute-scale 1  --block-storage-scale 0 --ceph-storage-scale 0 --swift-storage-scale 0 --ntp-server pool.ntp.org --neutron-network-type "vlan" --neutron-disable-tunneling --neutron-network-vlan-ranges datacentre:2001:2020  --timeout=65 --debug --log-file=/home/stack/deploy15.log

+---------------------------------------------+--------------------------------------+----------------------------------+-----------------+----------------------+
| resource_name                               | physical_resource_id                 | resource_type                    | resource_status | updated_time         |
+---------------------------------------------+--------------------------------------+----------------------------------+-----------------+----------------------+
| ControllerLoadBalancerDeployment_Step1      | 29b31998-2bda-4807-9bd0-3b2db8bb6083 | OS::Heat::StructuredDeployments  | CREATE_FAILED   | 2015-10-12T19:59:20Z |
| ControllerOvercloudServicesDeployment_Step4 |                                      | OS::Heat::StructuredDeployments  | INIT_COMPLETE   | 2015-10-12T19:59:20Z |
| ControllerOvercloudServicesDeployment_Step5 |                                      | OS::Heat::StructuredDeployments  | INIT_COMPLETE   | 2015-10-12T19:59:20Z |
| ControllerOvercloudServicesDeployment_Step6 |                                      | OS::Heat::StructuredDeployments  | INIT_COMPLETE   | 2015-10-12T19:59:20Z |
| ControllerOvercloudServicesDeployment_Step7 |                                      | OS::Heat::StructuredDeployments  | INIT_COMPLETE   | 2015-10-12T19:59:20Z |
| ControllerPuppetConfig                      | e261c282-7a95-4d21-ac62-b81bfb8eb995 | OS::TripleO::ControllerConfig    | CREATE_COMPLETE | 2015-10-12T19:59:20Z |
| ControllerRingbuilderDeployment_Step3       |                                      | OS::Heat::StructuredDeployments  | INIT_COMPLETE   | 2015-10-12T19:59:20Z |
| ControllerRingbuilderPuppetConfig           | 3e0bef60-0cc3-4988-a0bf-080445cf82be | OS::Heat::SoftwareConfig         | CREATE_COMPLETE | 2015-10-12T19:59:20Z |
| ControllerServicesBaseDeployment_Step2      |                                      | OS::Heat::StructuredDeployments  | INIT_COMPLETE   | 2015-10-12T19:59:20Z |
| ExtraConfig                                 |                                      | OS::TripleO::NodeExtraConfigPost | INIT_COMPLETE   | 2015-10-12T19:59:20Z |
+---------------------------------------------+--------------------------------------+----------------------------------+-----------------+----------------------+
show second faild resource names
+---------------+--------------------------------------+--------------------------------+-----------------+----------------------+
| resource_name | physical_resource_id                 | resource_type                  | resource_status | updated_time         |
+---------------+--------------------------------------+--------------------------------+-----------------+----------------------+
| 0             | e0ba958c-72e8-4a0f-8cd1-b9e9ef3cb7d9 | OS::Heat::StructuredDeployment | CREATE_FAILED   | 2015-10-12T19:59:23Z |
+---------------+--------------------------------------+--------------------------------+-----------------+----------------------+
show info about the second failed resource
{
  "status": "FAILED",
  "server_id": "91e4e675-2cf2-4a70-83d4-bf12d72a9f49",
  "config_id": "624bdd35-d374-4650-a83c-7e108dbe3933",
  "output_values": {
    "deploy_stdout": "",
    "deploy_stderr": "\u001b[1;31mError: Could not find class tripleo::packages for overcloud-controller-0.localdomain on node overcloud-controller-0.localdomain\u001b[0m\n\u001b[1;31mError: Could not find class tripleo::packages for overcloud-controller-0.localdomain on node overcloud-controller-0.localdomain\u001b[0m\n",
    "deploy_status_code": 1
  },
  "creation_time": "2015-10-12T19:59:24Z",
  "updated_time": "2015-10-12T20:00:22Z",
  "input_values": {},
  "action": "CREATE",
  "status_reason": "deploy_status_code : Deployment exited with non-zero status code: 1",
  "id": "e0ba958c-72e8-4a0f-8cd1-b9e9ef3cb7d9"


+-------------------------+--------------------------------------+----------------------------------+-----------------+----------------------+
| resource_name           | physical_resource_id                 | resource_type                    | resource_status | updated_time         |
+-------------------------+--------------------------------------+----------------------------------+-----------------+----------------------+
| ComputePuppetConfig     | f4ff3f45-c43b-4a66-ac92-389765693819 | OS::Heat::SoftwareConfig         | CREATE_COMPLETE | 2015-10-12T19:59:06Z |
| ComputePuppetDeployment | 5a54968b-c212-4a30-9f79-9bf140702e1f | OS::Heat::StructuredDeployments  | CREATE_FAILED   | 2015-10-12T19:59:06Z |
| ExtraConfig             |                                      | OS::TripleO::NodeExtraConfigPost | INIT_COMPLETE   | 2015-10-12T19:59:06Z |
+-------------------------+--------------------------------------+----------------------------------+-----------------+----------------------+
show first faild resource names
+---------------+--------------------------------------+--------------------------------+-----------------+----------------------+
| resource_name | physical_resource_id                 | resource_type                  | resource_status | updated_time         |
+---------------+--------------------------------------+--------------------------------+-----------------+----------------------+
| 0             | da6a6fb2-7110-49bc-9ebe-a6fb4bd38a3a | OS::Heat::StructuredDeployment | CREATE_FAILED   | 2015-10-12T19:59:07Z |
+---------------+--------------------------------------+--------------------------------+-----------------+----------------------+
show info about the first failed resource ------------------------------------------------------
{
  "status": "FAILED",
  "server_id": "59c0fcd6-c39b-4ffd-8dce-b96c474538d5",
  "config_id": "378b50a6-22e8-43e6-980b-104af8d70df0",
  "output_values": {
    "deploy_stdout": "",
    "deploy_stderr": "\u001b[1;31mError: Could not find class tripleo::packages for overcloud-compute-0.localdomain on node overcloud-compute-0.localdomain\u001b[0m\n\u001b[1;31mError: Could not find class tripleo::packages for overcloud-compute-0.localdomain on node overcloud-compute-0.localdomain\u001b[0m\n",
    "deploy_status_code": 1
  },
  "creation_time": "2015-10-12T19:59:08Z",
  "updated_time": "2015-10-12T19:59:55Z",
  "input_values": {},
  "action": "CREATE",
  "status_reason": "deploy_status_code : Deployment exited with non-zero status code: 1",
  "id": "da6a6fb2-7110-49bc-9ebe-a6fb4bd38a3a"
}

Note You need to log in before you can comment on or make changes to this bug.